Subject: Re: bug#1042: 23.0.60; read-char can evaluate to non-character

From: martin rudalics <[email-masked]>
Date: Sun, 28 Sep 2008 10:50:12 +0200

> In "$ emacs -Q", when I evaluate:
 >
 >    (read-char)
 >
 > and press C-0, I get:
 >
 >    67108912
 >
 > However, (characterp 67108912) is nil, and (char-to-string 67108912)
 > throws an error. Thus I expect an error also from read-char in this
 > case.

The doc-string of `read-char' says

     If the character has modifiers, they are resolved and reflected to the
     character code if possible (e.g. C-SPC -> 0).

Do you have a particular use case that calls for throwing an error here?

 > Besides, in `char-resolve-modifers', "modifiers" is misspelled.

I fixed that.

Thanks, martin.